<?php      
/*

Copyright (c)2002-2003 DuckCorp(tm) and RtpNet(tm)



This file is part of LMS.

LMS is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

LMS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with LMS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
   
        $done=true;

	switch($object)
	{
	case "Adsl Group":
		include("adslgroup_manage.php");
		break;
	case "Unix Group":
		include("unixgroup_manage.php");
		break;
	case "Common User":
	case "Admin User":
	case "Service User":
		include("user_manage.php");
		break;
	case "Common Host":
	case "Server Host":
		include("host_manage.php");
		break;
        case "Service" :
		include("service_manage.php");
		break;
	default:
		$done=false;
	}

	$error=false;

	switch($com)
	{
	case 1:
		// Modify
		print("<TR><TD class=col5 colspan=2><BIG>Changing atrributs of ".$object." '".$entry2[$oldkey_manage]."'</BIG></TD></TR>");

		manage_preprocess();

		manage_check_validity();

		if (!$error)
		{
			manage_process();

			process_entry_write();
		
			if (ldap_modify($ds, $entry2[dn], $entry))
			{
				print("<TR><TD class=col2><BIG>Operation successfull</BIG></TD></TR>");

				if ($entry2[$oldkey_manage]!=$entry[$key_manage][0])
				{
					print("<TR><TD class=col5 colspan=2><BIG>Renaming ".$object." '".$entry2[$oldkey_manage]."' into '".$entry[$key_manage][0]."'</BIG></TD></TR>");

					unset($b);
					$b = ldap_explode_dn($entry2[dn], 0);
					array_splice($b, 0, 2);
					$parent_dn = implode(",", $b);
					if (ldap_rename($ds, $entry2[dn], $key_manage."=".$entry[$key_manage][0], $parent_dn, false))
					{
						print("<TR><TD class=col2><BIG>Operation successfull</BIG></TD></TR>");
					}
					else
					{
						print("<TR><TD class=col3 colspan=2><BIG>Operation failed : ".ldap_error($ds)."</BIG></TD></TR>");
						$error=true;
					}
				}
			}
			else
			{
				print("<TR><TD class=col3 colspan=2><BIG>Operation failed : ".ldap_error($ds)."</BIG></TD></TR>");
				$error=true;
			}

			// Changes Propagation
			if (!$error)
			{
				print("<TR><TD class=col5 colspan=2><BIG>Propagating Changes</BIG></TD></TR>");
				manage_propagate_changes();
			}
		}
		else
		{
				print("<TR><TD class=col3 colspan=2><BIG>Operation failed</BIG></TD></TR>");
				print("<TR><TD class=col5 colspan=2><BIG>Please correct the form</BIG></TD></TR></TABLE>");
				print("<BR><TABLE class=usual width=820>");
				include("visu_do.php");
		}
break;
	case 2:
		// Delete
		print("<TR><TD class=col5 colspan=2><BIG>Deleting ".$object." '".$entry2[$oldkey_manage]."'</BIG></TD></TR>");
		if (ldap_delete($ds, $entry2[dn]))
		{
			print("<TR><TD class=col2><BIG>Operation successfull</BIG></TD></TR>");
		}
		else
		{
			print("<TR><TD class=col3 colspan=2><BIG>Operation failed : ".ldap_error($ds)."</BIG></TD></TR>");
		}
		break;
	case 3:
		// Add
		print("<TR><TD class=col5 colspan=2><BIG>Adding ".$object." '".$entry[$key_manage][0]."'</BIG></TD></TR>");

		manage_preprocess();

		manage_check_validity();

		if (!$error)
		{
			manage_process();

			process_entry_write();

			if (ldap_add($ds, $key_manage."=".$entry[$key_manage][0].",".$pos, $entry))
			{
				print("<TR><TD class=col2><BIG>Operation successfull</BIG></TD></TR>");
			}
			else
			{
				print("<TR><TD class=col3 colspan=2><BIG>Operation failed : ".ldap_error($ds)."</BIG></TD></TR>");
				print("<TR><TD class=col5 colspan=2><BIG>Please correct the form</BIG></TD></TR></TABLE>");
				print("<BR><TABLE class=usual width=820>");
				include("visu_do.php");
			}
		}
		else
		{
				print("<TR><TD class=col3 colspan=2><BIG>Operation failed</BIG></TD></TR>");
				print("<TR><TD class=col5 colspan=2><BIG>Please correct the form</BIG></TD></TR></TABLE>");
				print("<BR><TABLE class=usual width=820>");
				include("visu_do.php");
		}
	break;
	}
	print("</TABLE>");
?>
