<?php
/*

Copyright (c)2002-2003 DuckCorp(tm) and RtpNet(tm)



This file is part of LMS.

LMS is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

LMS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with LMS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

	function manage_preprocess()
	{
	}

	function manage_check_validity()
	{
		global $error, $entry, $entry2, $object;

		manage_check_validity_1();
		if (!$error)
			if ($entry2[old_cn]!=$entry[cn][0])
				manage_check_validity_2();
		if (!$error)
			if ($entry2[old_gidnumber]!=$entry[gidnumber][0])
				manage_check_validity_3();
	}

	function manage_check_validity_1()
	{
		global $error, $entry;

		test_attribute_required("Group Name", "cn");
		if (!$error)
			test_attribute_without_space("Group Name", "cn");
		
		test_attribute_required("GID Number", "gidnumber");
		if (!$error)
			test_attribute_is_int("GID Number", "gidnumber");
		}

	function manage_check_validity_2()
	{
		global $error, $entry, $groupslist;

		if (in_array($entry["cn"][0], $groupslist[0]))
		{
			print("<TR><TD class=col3 colspan=2>This Name is already Used by another Group</TD></TR>");
			$error=true;
		}
	}
	
	function manage_check_validity_3()
	{
		global $error, $entry, $groupslist;

		if (in_array($entry["gidnumber"][0], $groupslist[1]))
		{
			print("<TR><TD class=col3 colspan=2>This GID Number is already Used by another Group</TD></TR>");
			$error=true;
		}
	}
	
	function manage_process()
	{
		global $error, $entry;

		test_password_is_crypted();
	}

	function manage_propagate_changes()
	{
		global $ds, $config, $entry, $entry2, $object;

		if ($entry2[old_gidnumber]!=$entry[gidnumber][0])
		{
			propagate_changes("gidNumber", $entry2[old_gidnumber], $entry[gidnumber][0]);
		}
	}

	$oldkey_manage="old_cn";
	$key_manage="cn";
?>
